For the complete documentation index, see llms.txt. This page is also available as Markdown.

Custom Emails

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns app-level configuration for the email composer

application/json
appBaseUrlstring · nullableRequired

Base URL for building CTA links in custom email templates

Example: https://app.pingpod.com
get/custom-emails/config
GET /apis/v2/custom-emails/config HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns app-level configuration for the email composer

{
  "appBaseUrl": "https://app.pingpod.com",
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRead-onlyRequired

The unique identifier of the resource

subjectstring · max: 100Required
bodyHtmlstringRequired

Complete WYSIWYG HTML body

bccClubEmailbooleanOptional

Whether to BCC the company email address

Default: true
recipientSourcestring · enumOptional

Recipient source for EVENT emails (invitations or waitlist entries)

Default: INVITATIONPossible values:
sentCountnumberRead-onlyRequired
skippedCountnumberRead-onlyRequired
clubEmailSentbooleanRead-onlyRequired
createdDatestring · date-timeRead-onlyRequired
statusstring · enumRead-onlyRequiredPossible values:
Responses
201Success
application/json
idstringRead-onlyRequired

The unique identifier of the resource

subjectstring · max: 100Required
bodyHtmlstringRequired

Complete WYSIWYG HTML body

bccClubEmailbooleanOptional

Whether to BCC the company email address

Default: true
recipientSourcestring · enumOptional

Recipient source for EVENT emails (invitations or waitlist entries)

Default: INVITATIONPossible values:
sentCountnumberRead-onlyRequired
skippedCountnumberRead-onlyRequired
clubEmailSentbooleanRead-onlyRequired
createdDatestring · date-timeRead-onlyRequired
statusstring · enumRead-onlyRequiredPossible values:
post/custom-emails
POST /apis/v2/custom-emails HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 245

{
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "subject": "text",
  "bodyHtml": "text",
  "recipients": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "context": {
    "type": "EVENT",
    "resourceId": "text"
  },
  "bccClubEmail": true,
  "recipientSource": "INVITATION"
}
201Success
{
  "id": "text",
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "subject": "text",
  "bodyHtml": "text",
  "recipients": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "context": {
    "type": "EVENT",
    "resourceId": "text"
  },
  "bccClubEmail": true,
  "recipientSource": "INVITATION",
  "sentCount": 1,
  "skippedCount": 1,
  "clubEmailSent": true,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "status": "PENDING"
}

Last updated

Was this helpful?